POST
Payouts/payoutsإنشاء طلب صرف
ينشئ طلب صرف غير قابل للتكرار من محفظة.
مستوى الوصولbusiness_financeالحد20/minمنع التكرارbody:idempotency_keyالمصادقةBearerAuth
المصدر
LuxApi/app/Http/Controllers/Api/PayoutApiController.php::createLuxPayProjects @ 146e98baa44eالمعاملات
X-Request-IDheaderClient correlation identifier. LuxPay may generate one when omitted.
Example:req_01J...جسم الطلب
CreatePayoutRequestإلزامي
wallet_idinteger
amountnumber
currency_codestring
idempotency_keystring
payout_methodstring | null
payout_destinationobject | null
descriptionstring | null
JSON example
{
"wallet_id": 1,
"amount": 1,
"currency_code": "string",
"idempotency_key": "string",
"payout_method": "string",
"payout_destination": {},
"description": "string"
}أمثلة الكود
العنوان المعروض Sandbox Placeholder حتى يتم تزويد النطاق الرسمي. لا تلصق رمز Production في متصفح عام.
curl --request POST \
--url 'https://sandbox-api.luxpay.example/v1/payouts' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"wallet_id": 1,
"amount": 1,
"currency_code": "string",
"idempotency_key": "string",
"payout_method": "string",
"payout_destination": {},
"description": "string"
}'الاستجابات
201Successful response.
statusboolean
Example:
truemessagestring | null
message_translatedstring | null
dataPayout
{
"status": true,
"message": "string",
"message_translated": "string",
"data": {
"id": 1,
"uuid": "00000000-0000-4000-8000-000000000001",
"wallet_id": 1,
"amount": 1,
"currency_code": "string",
"status": "pending",
"payout_method": "string",
"payout_destination": {},
"description": "string",
"idempotency_key": "string",
"attempts": [
{}
],
"created_at": "2026-07-16T12:00:00Z"
}
}